Subject: bug#32720: term-mode ignores certain window size changes

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Nov 2018 05:30:42 +0200

> Date: Sat, 17 Nov 2018 19:40:01 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  >> +;; Remove the following call in Emacs 27, running
>  >> +;; 'window-size-change-functions' should suffice.
>  >>   (add-hook 'window-configuration-change-hook 'window--adjust-process-windows)
>  >
>  > Why not do that now?
> 
> Because Gary has not tested it ;-)
> 
> More seriously: I have no idea how 'adjust-window-size-function' and
> the function specified by 'window-adjust-process-window-size-function'
> work in practice.  If they rely on anything beyond a window's
> dimensions (for example, on which other buffers are displayed on a
> frame), then not calling 'window--adjust-process-windows' for
> 'window-configuration-change-hook' might miss something.  I'd rather
> reserve such subtleties for Emacs 27.

I agree with doing this for Emacs 27, I'm asking why not do this now
on master?